Open SCAP Library: oval_criteria_node Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_criteria_node Struct Reference
OVAL » OVALDEF

Specify oval_definition dependencies. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_criteria_node * | oval_criteria_node_new (struct oval_definition_model *, oval_criteria_node_type_t type)
| Construct an instance of oval_criteria_node. More...
struct oval_criteria_node * | oval_criteria_node_clone (struct oval_definition_model *new_model, struct oval_criteria_node *old_node)
| Clone an instance of oval_criteria_node. More...
void | oval_criteria_node_free (struct oval_criteria_node *)
| Free an instance of oval_criteria_node.
Setters
void | oval_criteria_node_set_negate (struct oval_criteria_node *, bool negate)
| Set attribute Oval_criteria_node->negate. More...
void | oval_criteria_node_set_applicability_check (struct oval_criteria_node *, bool applicability_check)
| Set attribute Oval_criteria_node->applicability_check. More...
void | oval_criteria_set_node_type (struct oval_criteria_node *node, oval_criteria_node_type_t type)
| Set attribute Oval_criteria_node->type. More...
void | oval_criteria_node_set_comment (struct oval_criteria_node *, char *comment)
| set attribute Oval_criteria_node->comment. More...
void | oval_criteria_node_set_operator (struct oval_criteria_node *, oval_operator_t op)
| Set attribute Oval_criteria->operator. More...
void | oval_criteria_node_add_subnode (struct oval_criteria_node *, struct oval_criteria_node *node)
| Append instance of Oval_criteria_node to attribute Oval_criteria->subnodes. More...
void | oval_criteria_node_set_test (struct oval_criteria_node *, struct oval_test *)
| Sets attribute Oval_criterion->test. More...
void | oval_criteria_node_set_definition (struct oval_criteria_node *, struct oval_definition *)
| Sets attribute Oval_extends->definition. More...
Getters
oval_criteria_node_type_t | oval_criteria_node_get_type (struct oval_criteria_node *)
| Returns attribute Oval_criteria_node->type.
bool | oval_criteria_node_get_negate (struct oval_criteria_node *)
| Returns attribute Oval_criteria_node->negate.
bool | oval_criteria_node_get_applicability_check (struct oval_criteria_node *)
| Returns attribute Oval_criteria_node->applicability_check.
char * | oval_criteria_node_get_comment (struct oval_criteria_node *)
| Returns attribute Oval_criteria_node->comment. More...
oval_operator_t | oval_criteria_node_get_operator (struct oval_criteria_node *)
| Returns attribute Oval_criteria->operator HOWDI. More...
struct oval_criteria_node_iterator * | oval_criteria_node_get_subnodes (struct oval_criteria_node *)
| Returns attribute Oval_criteria_node->subnodes. More...
struct oval_test * | oval_criteria_node_get_test (struct oval_criteria_node *)
| Returns attribute Oval_criterion->test. More...
struct oval_definition * | oval_criteria_node_get_definition (struct oval_criteria_node *)
| Returns attribute Oval_extends->definition. More...

## Data Fields
struct oval_definition_model * | model
oval_criteria_node_type_t | type
int | negate
char * | comment
int | applicability_check

## Detailed Description

Specify oval_definition dependencies.

An Oval_criteria_node specifies oval_definition dependencies as follows:

- if oval_criteria_node_get_type == OVAL_NODETYPE_CRITERIA - a hierarchic dependency on other Oval_criteria_nodes
- if oval_criteria_node_get_type == OVAL_NODETYPE_CRITERION - an oval_test dependency
- if oval_criteria_node_get_type == OVAL_NODETYPE_EXTENDDEF - an oval_definition dependency

The documentation for this struct was generated from the following files:

- oval_criteriaNode.c
- oval_definitions.h